TreeTableView.ResizeFeatures (JavaFX 27)
Description: declaration: module: javafx.controls, package: javafx.scene.control, class: TreeTableView, class: ResizeFeatures

# Class TreeTableView.ResizeFeatures<S>

java.lang.Object
javafx.scene.control.ResizeFeaturesBase<TreeItem<S>>
javafx.scene.control.TreeTableView.ResizeFeatures<S>

Type Parameters:
  `S` - the type of the TreeItem instances used in this TreeTableView

Enclosing class:
  `TreeTableView<S>`

public static class TreeTableView.ResizeFeatures<S> extends ResizeFeaturesBase<TreeItem<S>>
An immutable wrapper class for use in the TableView `column resize` functionality.

Since:
  JavaFX 8.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResizeFeatures(TreeTableView<S> treeTable, TreeTableColumn<S,?> column, Double delta)`
  Creates an instance of this class, with the provided TreeTableView, TreeTableColumn and delta values being set and stored in this immutable instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TreeTableColumn<S,?>`
  `getColumn()`
  Returns the column upon which the resize is occurring, or null if this ResizeFeatures instance was created as a result of a TreeTableView resize operation.
  `double`
  `getContentWidth()`
  Returns the width of the area available for columns.
  `TreeTableView<S>`
  `getTable()`
  Returns the TreeTableView upon which the resize operation is occurring.
  `Control`
  `getTableControl()`
  Returns the associated TreeView or TreeTableView control.

  ### Methods declared in class ResizeFeaturesBase

  `getDelta, setColumnWidth`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResizeFeatures

    public ResizeFeatures(TreeTableView<S> treeTable, TreeTableColumn<S,?> column, Double delta)
    Creates an instance of this class, with the provided TreeTableView, TreeTableColumn and delta values being set and stored in this immutable instance.
    Parameters:
      `treeTable` - The TreeTableView upon which the resize operation is occurring.
      `column` - The column upon which the resize is occurring, or null if this ResizeFeatures instance is being created as a result of a TreeTableView resize operation.
      `delta` - The amount of horizontal space added or removed in the resize operation.

- ## Method Details

  - ### getColumn

    public TreeTableColumn<S,?> getColumn()
    Returns the column upon which the resize is occurring, or null if this ResizeFeatures instance was created as a result of a TreeTableView resize operation.
    Overrides:
      `getColumn` in class `ResizeFeaturesBase<TreeItem<S>>`
    Returns:
      the column upon which the resize is occurring

  - ### getTable

    public TreeTableView<S> getTable()
    Returns the TreeTableView upon which the resize operation is occurring.
    Returns:
      the TreeTableView upon which the resize operation is occurring

  - ### getTableControl

    public Control getTableControl()
    Description copied from class: `ResizeFeaturesBase`
    Returns the associated TreeView or TreeTableView control.
    Specified by:
      `getTableControl` in class `ResizeFeaturesBase<TreeItem<S>>`
    Returns:
      the control in which the resize is occurring

  - ### getContentWidth

    public double getContentWidth()
    Description copied from class: `ResizeFeaturesBase`
    Returns the width of the area available for columns.
    Specified by:
      `getContentWidth` in class `ResizeFeaturesBase<TreeItem<S>>`
    Returns:
      the width available for columns